%define rel 2

Name: libfm-qt
Version: 0.11.1
Release: %mkrel %rel
Summary: Companion library for PCManFM
License: GPLv2+
Group:          Graphical desktop/KDE
URL: http://lxqt.org
Source0: http://downloads.lxqt.org/libfm-qt/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake >= 3.0

BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5X11Extras)

BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(libfm)
BuildRequires: pkgconfig(lxqt) >= 0.11.0
BuildRequires: pkgconfig(libmenu-cache) >= 0.3.0

BuildRequires: cmake(KF5WindowSystem) 

Requires:      lxqt-l10n

Obsoletes: libfm-qt5 <  0.11.0
Obsoletes: libfm-qt4 <= 0.9.0
Obsoletes: libfm-qt-common <= 0.9.0
Provides: libfm-qt5 = %{version}

%description
Libfm-Qt is a companion library providing components to build
desktop file managers.

#-----------------------------------------------------------------------

%define major 3
%define libfm_qt %mklibname fm_qt %major

%package -n %libfm_qt
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libfm_qt
Librairie File needed by %name

%files -n %libfm_qt
%_libdir/libfm-qt.so.%{major}*

#-----------------------------------------------------------------------

%define libnamedev %mklibname fm-qt -d

%package        -n     %libnamedev
Summary: Development files for libfm-qt
Requires:  %libfm_qt = %{version}-%{release}
Obsoletes: libfm-qt-devel <= 0.9.0
Obsoletes: libfm-qt5-devel < 0.11.0
Obsoletes: libfm-qt4-devel <= 0.9.0
Obsoletes: libfm-qt-devel-common <= 0.9.0

%description -n     %libnamedev
libfm-qt-devel package contains libraries and header files for
developing applications that use libfm-qt.

%files -n     %libnamedev
%{_libdir}/libfm-qt.so
%{_libdir}/pkgconfig/libfm-qt.pc
%{_includedir}/libfm-qt/
%dir %{_datadir}/cmake/fm-qt
%{_datadir}/cmake/fm-qt/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%{cmake_qt5} -DPULL_TRANSLATIONS=NO ..

%make_build

%install
%make_install -C build



%changelog
* Fri Nov 11 2016 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1066468
- Add translation package as a require

* Wed Nov 09 2016 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1066074
- imported package libfm-qt

